6.0.0-git
2019-03-19

[#11741] ActiveSync for inbox only works during setup
Summary ActiveSync for inbox only works during setup
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester michael (at) bigmichi1 (dot) de
Created 2012-11-22 (2308 days ago)
Due
Updated 2012-12-03 (2297 days ago)
Assigned 2012-12-03 (2297 days ago)
Resolved 2012-12-03 (2297 days ago)
Milestone
Patch No

History
2012-12-03 18:43:42 Michael Rubinsky Comment #13
State ⇒ Resolved
Reply to this comment
Awesome :)


2012-12-03 18:32:36 michael (at) bigmichi1 (dot) de Comment #12 Reply to this comment
that fixed it, thanks, really thanks, now its working
2012-12-03 18:28:45 Michael Rubinsky Comment #11 Reply to this comment
Try now?
2012-12-03 18:26:32 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (master):

commit b095fab9dc19bd7e2d35ae992f54f4e6bfe6931d
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Dec 3 13:25:43 2012 -0500

     Flags should be an array. Hopefully fixes Bug: 11741.

  .../lib/Horde/ActiveSync/Connector/Importer.php    |    8 ++++----
  1 files changed, 4 insertions(+), 4 deletions(-)

http://git.horde.org/horde-git/-/commit/b095fab9dc19bd7e2d35ae992f54f4e6bfe6931d
2012-12-03 18:13:57 Michael Rubinsky Comment #9 Reply to this comment
Ah, I see what I think is happening. Can you add:

Horde::debug($change); as well?
...and nevermind. Found the problem.
2012-12-03 17:59:02 Michael Rubinsky Comment #8 Reply to this comment
This is with a Horde::debug($sql) ??

That should be a sql statement... really confused if this is what is 
being dumped for you.
Ah, I see what I think is happening. Can you add:

Horde::debug($change); as well?
2012-12-03 17:57:08 Michael Rubinsky Comment #7 Reply to this comment
This is with a Horde::debug($sql) ??

That should be a sql statement... really confused if this is what is 
being dumped for you.
2012-12-03 17:48:42 michael (at) bigmichi1 (dot) de New Attachment: horde_debug.txt Download
 
2012-12-03 15:58:06 Michael Rubinsky Comment #6 Reply to this comment
synclog
This is the problem:

2012-12-03T09:01:11+01:00 DEBUG: Updating state during flags
2012-12-03T09:01:11+01:00 ERR: Parameter count mismatch, expecting 0, got 6

This means that the SQL statement that is updating the map table 
thinks there should be no bound parameters, but we are passing 6 of 
them. Looking at the code, I don't see any reason why it would think 
that. The SQL statement, does, indeed, have 6 parameter placeholders.

Can you place:

  Horde::debug($sql);

after the try on line 444 but before the $this->_db->insert($sql, 
$params); on linke 445 in file 
ActiveSync/lib/Horde/ActiveSync/State/Sql.php and post the results 
(they will be output in a file named horde_debug.txt in your system's 
temp directory).
2012-12-03 08:15:20 michael (at) bigmichi1 (dot) de Comment #5
New Attachment: androidc30255998.txt Download
Reply to this comment
synclog
2012-12-03 02:46:21 Michael Rubinsky Comment #4
Assigned to Michael Rubinsky
State ⇒ Feedback
Reply to this comment
i can sucessfully set up Active Sync on my HTC Desire with CM7.2 and 
everything is fine with sync my contacts and calendar, the only 
problem is the inbox after the first sync. there i got everytime 
"Connot open connection to server". i followed the debuing 
descriptions in the wiki and the log on the phone is attached.
The only thing that seems of interest is that the server is returning 
a HTTP 500 status code. Without more information in the 
Horde/Webserver/Sync log, there's not much input I can give here.
switching to debug logging in horde didn't show anything accept many 
should not call statically problems.
...and what were these?
i also set up an extra activy sync log dir, but it remains empty.
That doesn't seem right. If there is *any* successful traffic to the 
device you should have a sync log. Make sure that the directory you 
have choosen is writable by the webserver.

If all else fails, a wiretrace of a non-ssl session could be useful.
2012-11-22 09:22:00 michael (at) bigmichi1 (dot) de Comment #3 Reply to this comment
after some more testing this only happens on the inbox folder. 
reproducable by doing a manual refresh, switch to another folder 
everything is fine, also after doing a refresh on the other folders
2012-11-22 08:57:14 michael (at) bigmichi1 (dot) de Comment #2
New Attachment: emaillog.txt Download
Reply to this comment
log from phone
2012-11-22 08:56:32 michael (at) bigmichi1 (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ ActiveSync for inbox only works during setup
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
i can sucessfully set up Active Sync on my HTC Desire with CM7.2 and 
everything is fine with sync my contacts and calendar, the only 
problem is the inbox after the first sync. there i got everytime 
"Connot open connection to server". i followed the debuing 
descriptions in the wiki and the log on the phone is attached.
switching to debug logging in horde didn't show anything accept many 
should not call statically problems.
i also set up an extra activy sync log dir, but it remains empty. 
apache logs are also empty and an extra configured error_log for php 
in php.ini also remains empty.

Saved Queries